<?php		
	//appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
	
	//Verification champs requis
	function isRequired($cle,$elt){
		try{
			$rows= $cle->getElement($elt)->get('validators');
			for($i=0; $i < sizeof($rows); $i++){
				if(isset($rows[$i])){
					if($rows[$i] == "NotEmpty"){
						return true;
					}
				}
			}					
			throw new Exception("");
			return false;
		}catch(Exception $e){
			echo '';
		}
	}
			
	//Valeur input_nomabrege selon selection sitefouille	
	$sitefouille = $helper_model_fai->getTable('Model_Sitefouille')->fetchAll()->where('id="'.$courant_sitefouille_id.'"')->toRow();
	$nomabrege = $sitefouille['nomabrege'];
?>

<link rel="stylesheet" href="<?php echo $request->getBaseUrl(); ?>/2.0/css/jquery-ui.css">
<script>
    var txtAddButton = "<?php echo $filter_no_html->filter( $i18n -> say('button_add_relation')) ; ?>";
    var txtEditButton = "<?php echo $filter_no_html->filter( $i18n -> say('button_edit_relation')) ; ?>";
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/panel_relations.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery-ui.js"></script>

<script>
	var recupType = 0;
	var existingUs = {};
	<?php 			
		$us = $helper_model_fai_us->getTable('Model_Us')->getAllUsFromSf($courant_sitefouille_id)->setKey('id');

		foreach($us as $id => $value){ 
			$desc = str_replace(array("\r\n", "\r", "\n", PHP_EOL, chr(10), chr(13), chr(10).chr(13)), " ", addslashes($value['description'])); ?>
			existingUs['<?php echo addslashes($value["identification"]) ; ?>'] = '<?php echo $id; ?>';
			//existingUs['<?php echo substr($desc, 1, 20) ; ?>'] = '<?php echo $id; ?>';
	<?php } ?>

	var existingFai = {};
	<?php 			
		$fai = $helper_model_interfait->getTable('Model_Fai')->getAllFaiFromSf($courant_sitefouille_id)->setKey('id')->setValue('identification');
	
		foreach($fai as $id => $value){ ?>
			existingFai["<?php echo addslashes($value) ; ?>"] = "<?php echo $id; ?>";
	<?php } ?>
	
	var existingFaiType = {};
	<?php			
     foreach($helper_form_interfait->getElement('typeinterfait_id')->get('options') as $id => $value){ ?>
        existingFaiType["<?php echo addslashes($value) ; ?>"] = "<?php echo $id ; ?>";
    <?php } ?>

	function autocom(cle, existingObj, obj, id){
		var usNames = [];
		var objNamesAssoc = [];
		
		for (var key in existingObj){
			usNames.push(key)
		}
		var pfai_us = $("#"+id);
		
		$("#"+cle+pfai_us.attr('id')).autocomplete({
			maxResults: 10,
			source: function(request, response) {
				if(obj == "us_id" || obj == "fai_id_1"){
					var objAssociees = pfai_us.data('content');		
					for(var i in objAssociees){
						if(i !== ''){
							objNamesAssoc.push(objAssociees[i][cle]['val']);
						}
					}
					
					for (var i in objNamesAssoc){
						for (var j in usNames){
							if(objNamesAssoc[i] == usNames[j]){
								usNames[j] = "";
							}
						}
					}
				}
				var results = $.ui.autocomplete.filter(usNames, request.term);
				response(results.slice(0, this.options.maxResults));
			},
			select : function(event,ui){
				$(this).attr('key',existingObj[ui.item.value]);
				recupType = existingObj[ui.item.value];
				if(obj == "typeinterfait_id"){
					$('#fai_fai_identification').load("<?php echo $this->getRequest('Fai','ChangeIdentification'); ?>?typefaiSelect=" + existingObj[ui.item.value]);
				}
			}
		}).blur(function(){$(this).attr('key',existingObj[$(this).val()]);});
	}
	
	function requiredCompleteField(cleField, existingObj, message, id){
		var pfai_us = $("#"+id);
		$("#"+cleField+pfai_us.attr('id')).isValid(function(){
			if(typeof existingObj[$(this).val()] === 'undefined')
				return message;
			return true;
		});
	}
		
	$(function(){
		autocom("<?php echo $helper_form_fai_us->getElement('us_id')->get('id') ?>", existingUs, "us_id", 'relations-fai_us');
		autocom("<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id') ?>", existingFai, "fai_id_1", 'relations-fai_fai');
		autocom("<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id').'type' ?>", existingFaiType, "typeinterfait_id", 'relations-fai_fai');
		autocom("<?php echo $helper_form->getElement('typefai_id')->get('id') ?>", existingFaiType, "typefai_id", 'relations-fai_us');
		
		requiredCompleteField("<?php echo $helper_form_fai_us->getElement('us_id')->get('id') ?>", existingUs, "<?php echo $filter_no_html->filter( $i18n -> say('relation_requisUs_id') ) ?>", 'relations-fai_us');
		requiredCompleteField("<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id') ?>", existingFai, "<?php echo $filter_no_html->filter( $i18n -> say('relation_requisIdentifinterfait') ) ?>", 'relations-fai_fai');
	});
	
</script>

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('add_form')).' '.$filter_no_html->filter( $i18n -> say('fai')) ; ?>
</h2>
<form method="post" name="form_fai" id="form_selection" action="" role="form" class="form-horizontal">	
	<fieldset>
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<!-- Panel Identification - Start -->
			<div id="panel_identification" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingIdentification">
					<h4 class="panel-title">
						<span class="icon-address" aria-hidden="true"></span>&nbsp;
						<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification"
						   aria-expanded="true" aria-controls="collapseIdentification">
							<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
						</a>
					</h4>
				</div>
					
				<div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
					<div class="panel-body">	
						<div class="form-group field text" id="Fsitefouille_id">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="<?php echo $helper_form->getElement('sitefouille_id')->get('id'); ?> ">
								<?php echo $helper_form->getElement('sitefouille_id')->get('label'); ?>
							</label>
							<div class="col-lg-9 col-md-9 col-sm-6 col-xs-6">
								<input id="<?php echo $helper_form->getElement('sitefouille_id')->get('id').'_intitule'; ?>" class="form-control"
							   type="text" value="<?php echo $helper_form->getElement('sitefouille_id')->get('intitule'); ?>"
							   readonly="1">
							</div>
							<?php echo $helper_form->getElement('sitefouille_id')->getHtml(); ?>
						</div>
				
						<div class="form-group field text" id="Fidentification">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="identification">
								<?php echo $helper_form->getElement('identification')->get('label').' '.((isRequired($helper_form,"identification")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('identification')->getHtml();?></div>
						</div>
										
						<div class="form-group field text" id="Fdescription">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="description">
								<?php echo $helper_form->getElement('description')->get('label').' '.((isRequired($helper_form,"description")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('description')->getHtml();?></div>
						</div>
											
						<div class="form-group field text" id="Ftypefai_id">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="typefai_id">
								<?php echo $helper_form->getElement('typefai_id')->get('label').' '.((isRequired($helper_form,"typefai_id")) ? '*' : '');?>
							</label>
							<div class="col-lg-9 col-md-9 col-sm-6 col-xs-6">
								<input class="col-md-8 form-control text" type="text"
									id="<?php echo $helper_form->getElement('typefai_id')->get('id').'relations-fai_us'; ?>" 
									name="<?php echo $helper_form->getElement('typefai_id')->get('id'); ?>" value="<?php echo $categ_value ?>" >
							</div>
						</div>
															
						<div class="form-group field text">
							<label class="col-lg-4 col-md-4 col-sm-4 col-xs-4 control-label">
								<?php echo $filter_no_html->filter( $i18n -> say('datation') ); ?>
							</label>
							<label class="col-lg-4 col-md-4 col-sm-4 col-xs-4 control-label">
								<?php echo $filter_no_html->filter( $i18n -> say('estimee') ); ?>
							</label>
							<label class="col-lg-4 col-md-4 col-sm-4 col-xs-4 control-label">
								<?php echo $filter_no_html->filter( $i18n -> say('certaine') ); ?>
							</label>
						</div>
						
						<div class="form-group field text">
							<div class="form-group field text col-lg-4 col-md-4 col-sm-4 col-xs-4">
								<div class="form-group field text">	
									<label for="fin_fourc_hte_estim">
										<?php echo $helper_form->getElement('fin_fourc_hte_estim')->get('label').' '.((isRequired($helper_form,"fin_fourc_hte_estim")) ? '*' : '');?>
									</label>
								</div>
								<div class="form-group field text">	
									<label for="fin_fourc_bas_estim">
										<?php echo $helper_form->getElement('fin_fourc_bas_estim')->get('label').' '.((isRequired($helper_form,"fin_fourc_bas_estim")) ? '*' : '');?>
									</label>
								</div>
								<div class="form-group field text">	
									<label for="deb_fourc_hte_estim">
										<?php echo $helper_form->getElement('deb_fourc_hte_estim')->get('label').' '.((isRequired($helper_form,"deb_fourc_hte_estim")) ? '*' : '');?>
									</label>
								</div>
								<div class="form-group field text">	
									<label for="deb_fourc_bas_estim">
										<?php echo $helper_form->getElement('deb_fourc_bas_estim')->get('label').' '.((isRequired($helper_form,"deb_fourc_bas_estim")) ? '*' : '');?>
									</label>
								</div>
							</div>
							
							<div class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
								<div class="form-group field text" id="Ffin_fourc_hte_estim">							
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('fin_fourc_hte_estim')->getHtml();?></div>
								</div>							
								<div class="form-group field text" id="Ffin_fourc_bas_estim">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('fin_fourc_bas_estim')->getHtml();?></div>
								</div>														
								<div class="form-group field text" id="Fdeb_fourc_hte_estim">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('deb_fourc_hte_estim')->getHtml();?></div>
								</div>							
								<div class="form-group field text" id="Fdeb_fourc_bas_estim">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('deb_fourc_bas_estim')->getHtml();?></div>
								</div>
							</div>
							
							<div class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
								<div class="form-group field text" id="Ffin_fourc_hte_certain">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('fin_fourc_hte_certain')->getHtml();?></div>
								</div>							
								<div class="form-group field text" id="Ffin_fourc_bas_certain">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('fin_fourc_bas_certain')->getHtml();?></div>
								</div>							
								<div class="form-group field text" id="Fdeb_fourc_hte_certain">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('deb_fourc_hte_certain')->getHtml();?></div>
								</div>							
								<div class="form-group field text" id="Fdeb_fourc_bas_certain">
									<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"><?php echo $helper_form->getElement('deb_fourc_bas_certain')->getHtml();?></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- Panel Identification - End -->
	
			<!-- Panel Relations - Start -->
			<div id="panel_relations" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingRelations">
					<h4 class="panel-title">
						<span class="icon-time" aria-hidden="true"></span>&nbsp;
						<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseRelations" aria-expanded="false" aria-controls="collapseRelations">
							<?php echo $filter_no_html->filter( $i18n -> say('relation') );?>
						</a>
					</h4>
				</div>
				
				<div id="collapseRelations" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingRelations">
					<div class="panel-body">			
						<div class="panel panel-primary" id="blocAssociation">				
							<div id="collapseRelations" class="panel-collapse" role="tabpanel" aria-labelledby="headingRelations">
								<div class="panel-body">
									<div role="tabpanel" class="tab-pane col-sm-12" id="Relations">
										<div class="col-sm-12">
											<div id="relations-fai_us" class="panel panel-default panel-form" name="_pfai_us_">
												<div class="panel-heading"><h4 class="panel-title"><?php echo $filter_no_html->filter( $i18n -> say('relation_fai_us_list') ); ?></h4></div>
												<div class="panel-body">
													<?php echo $this->getResponse('Fai_Us', 'ListFaiUs', array('layout' => false, 'fai_id' => null, 'v_action' => true) ); ?>
												</div>												
												<div class="panel-footer">
													<div class="row">
														<div class="form-horizontal col-md-8 panel-form-content">
															<div class="field">
																<input type="hidden"
																	   value="<?php echo $helper_form_fai_us->getElement('fai_id')->get('value'); ?>"
																	   champs="<?php echo $helper_form_fai_us->getElement('fai_id')->get('id'); ?>"
																	   id="<?php echo $helper_form_fai_us->getElement('fai_id')->get('id').'relations-fai_us'; ?>">
															</div>
															
															<div class="form-group field col-md-12">
																<div id="fai_us_identification" class="col-md-7">
																	<label class="col-md-5"><?php echo $helper_form_fai_us->getElement('us_id')->get('label'); ?></label>
																	<input class="col-md-6 field-key-val" type="text"
																	   value=""
																	   champs="<?php echo $helper_form_fai_us->getElement('us_id')->get('id'); ?>"
																	   id="<?php echo $helper_form_fai_us->getElement('us_id')->get('id').'relations-fai_us'; ?>">																														
																</div>	
																<div id="fai_us_incertitude" class="col-md-5">																
																	<label><?php echo $helper_form_fai_us->getElement('incertitude')->get('label');?></label>
																	<input type="checkbox" 
																	champs="<?php echo $helper_form_fai_us->getElement('incertitude')->get('id'); ?>"
																	id="<?php echo $helper_form_fai_us->getElement('incertitude')->get('id').'relations-fai_us'; ?>">
																</div>
															</div>
															
														</div>

														<div class="form-group field col-md-4 panel-validation">
															<div class="submit-panel"> </div>
															<div class="panel-info-error"></div>
														</div>
													</div>
												</div>
											</div>
										</div>
										
										<div class="col-sm-12">
											<div id="relations-fai_fai" class="panel panel-default panel-form" name="_pfai_fai_">
												<div class="panel-heading"><h4 class="panel-title"><?php echo $filter_no_html->filter( $i18n -> say('relation_fai_fai_list') ); ?></h4></div>
												<div class="panel-body">
													<?php echo $this->getResponse('Interfait', 'ListFaiFai', array('layout' => false, 'fai_id' => null, 'v_action' => true) ); ?>
												</div>
												<div class="panel-footer">
													<div class="row">
														<div class="form-horizontal col-md-8 col-sm-8">														
															<div class="col-md-12 col-sm-12 panel-form-content">														
																<div class="field">
																	<input type="hidden"
																		   value="<?php echo $helper_form_interfait->getElement('fai_id')->get('value'); ?>"
																		   champs="<?php echo $helper_form_interfait->getElement('fai_id')->get('id'); ?>"
																		   id="<?php echo $helper_form_interfait->getElement('fai_id')->get('id').'relations-fai_fai'; ?>">
																</div>
																
																<div class="form-group field col-md-12 col-sm-12">
																	<div id="fai_fai_identification" class="col-md-4 col-sm-4">	
																		<input class="col-md-12 col-sm-12 field-key-val" type="text"
																		   value=""
																		   champs="<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id'); ?>"
																		   id="<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id').'relations-fai_fai'; ?>">																	
																	</div>

																	<div id="fai_fai_incertitude" class="col-md-4 col-sm-4">																
																		<label><?php echo $helper_form_interfait->getElement('incertitude')->get('label'); ?></label>
																		<input type="checkbox" 
																		champs="<?php echo $helper_form_interfait->getElement('incertitude')->get('id'); ?>"
																		id="<?php echo $helper_form_interfait->getElement('incertitude')->get('id').'relations-fai_fai'; ?>">
																	</div> 																
																</div>														
															
																<div class="form-group field col-md-12 col-sm-12">
																	<div id="fai_fai_typeassoc" class="col-md-6 col-sm-6">																
																		<label class="col-md-7 col-sm-7"><?php echo $filter_no_html->filter( $i18n -> say('fai_faiTypeAssoc') );?></label>
																		<select class="col-md-5 col-sm-7" type="text"
																			champs="<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id'); ?>"
																			id="<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id').'relations-fai_fai'; ?>" >
																			<?php foreach($helper_form_interfait->getElement('typeinterfait_id')->get('typeAssociation') as $id => $value){ ?>
																			<option value="<?php echo $id; ?>"><?php echo $value; ?></option>
																			<?php } ?>
																		</select>
																	</div>
																	
																	<div id="fai_fai_precisions" class="col-md-6 col-sm-6">																
																		<label class="col-md-8 col-sm-8"><?php echo $filter_no_html->filter( $i18n -> say('precisions') ); ?></label>
																		<input class="col-md-4 col-sm-4" type="text" 
																		champs="<?php echo $helper_form_interfait->getElement('precisions')->get('id'); ?>"
																		id="<?php echo $helper_form_interfait->getElement('precisions')->get('id').'relations-fai_fai'; ?>">
																	</div>
																</div>																												
															</div>																		
																																										
															<div class="form-group field col-md-12 col-sm-12 panel-heading">
																<div>
																	<strong><?php echo $filter_no_html->filter( $i18n -> say('filtre_interfait') ); ?></strong>
																</div>
																<div id="fai_fai_typefai_id" class="col-md-4 col-sm-4">
																	<label class="col-md-5 col-sm-5"><?php echo $filter_no_html->filter( $i18n -> say('fai_type') ); ?></label>															
																	<input class="col-md-7 col-sm-7 field-key-val" type="text" onblur="changeFaiByType();"
																		champs="<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id') ?>"
																		id="<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id').'typerelations-fai_fai'; ?>">
																</div>	
																<div id="fai_fai_DatationStart" class="col-md-5 col-sm-5">
																	<label class="col-md-8 col-sm-8"><?php echo $filter_no_html->filter( $i18n -> say('fai_faiDatationStart') ); ?></label>
																	<input class="col-md-4 col-sm-4" type="text" onblur="changeFaiByDatation(this.value, 'deb_fourc_bas_estim');"
																	champs="<?php echo $helper_form->getElement('deb_fourc_bas_estim')->get('id'); ?>"
																	id="<?php echo $helper_form->getElement('deb_fourc_bas_estim')->get('id').'relations-fai_fai'; ?>">
																</div>
																<div id="fai_fai_DatationEnd" class="col-md-3 col-sm-3">
																	<label class="col-md-5 col-sm-5"><?php echo $filter_no_html->filter( $i18n -> say('fai_faiDatationEnd') ); ?></label>
																	<input class="col-md-6 col-sm-6" type="text" onblur="changeFaiByDatation(this.value, 'fin_fourc_bas_estim');"
																	champs="<?php echo $helper_form->getElement('fin_fourc_bas_estim')->get('id'); ?>"
																	id="<?php echo $helper_form->getElement('fin_fourc_bas_estim')->get('id').'relations-fai_fai'; ?>">
																</div>
															</div>													
														</div>
														
														<div class="form-group field col-md-4 col-sm-4 panel-validation">
															<div class="submit-panel"> </div>
															<div class="panel-info-error"></div>
														</div>														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- Panel Relations - End -->
		</div>
		<div>
			<input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" />
			<a href="<?php echo $this->getRequest('Fai', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
		</div>
	</fieldset>
</form>

<?php
  /**
   * Indispensable pour afficher le Layout, desactivé pour les appels des differentes actions
  */
  $this->getLayout()->setEnabled(true);
?>

<script>
	/*Filtre sur les interfaits*/
	
	function changeFaiByType() {
		var pfai_fai = "relations-fai_fai";
		if($('#typeinterfait_idtype'+pfai_fai).val() != ""){
			recupType = recupType;
		}
		else
			recupType = 0;		
		
		if($('#deb_fourc_bas_estim'+pfai_fai).val() != "" && $('#fin_fourc_bas_estim'+pfai_fai).val() != ""){
			$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + $('#deb_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=deb_fourc_bas_estim' + '&datationCourant=' + $('#fin_fourc_bas_estim'+pfai_fai).val());
		}
		else if($('#deb_fourc_bas_estim'+pfai_fai).val() != ""){
			$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + $('#deb_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=deb_fourc_bas_estim' + '&datationCourant=0');
		}
		else if($('#fin_fourc_bas_estim'+pfai_fai).val() != ""){
			$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + $('#fin_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=fin_fourc_bas_estim' + '&datationCourant=0');
		}
		else
			$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType);
	}
	
	function changeFaiByDatation(valDT, idDT) {
		var pfai_fai = "relations-fai_fai";
		if(idDT == "deb_fourc_bas_estim"){
			if($('#typeinterfait_idtype'+pfai_fai).val() != ""){
				if($('#fin_fourc_bas_estim'+pfai_fai).val() != ""){
					$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + $('#fin_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=fin_fourc_bas_estim' + '&datationCourant=' + valDT);
				}
				else
					$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + valDT + '&idDatationSelect=' + idDT + '&datationCourant=0');
			}
			else if($('#fin_fourc_bas_estim'+pfai_fai).val() != ""){
				$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?datationSelect=' + $('#fin_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=fin_fourc_bas_estim' + '&datationCourant=' + valDT);
			}
			else{
				$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?datationSelect=' + $('#deb_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=' + idDT + '&datationCourant=0');
			}
		}
		else{
			if($('#typeinterfait_idtype'+pfai_fai).val() != ""){
				if($('#deb_fourc_bas_estim'+pfai_fai).val() != ""){
					$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + $('#deb_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=deb_fourc_bas_estim' + '&datationCourant=' + valDT);
				}
				else
					$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?typefaiSelect=' + recupType + '&datationSelect=' + valDT + '&idDatationSelect=' + idDT + '&datationCourant=0');
			}
			else if($('#deb_fourc_bas_estim'+pfai_fai).val() != ""){
				$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?datationSelect=' + $('#deb_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=deb_fourc_bas_estim' + '&datationCourant=' + valDT);
			}
			else{
				$('#fai_fai_identification').load('<?php echo $this->getRequest("Fai","ChangeIdentification"); ?>?datationSelect=' + $('#fin_fourc_bas_estim'+pfai_fai).val() + '&idDatationSelect=' + idDT + '&datationCourant=0');
			}
		}
	}
	
</script>